--- title: "Get schema history" slug: "analytics-cloudsearch-getschemahistory" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-getschemahistory" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get schema history **We are preparing a localization service for the content. We will do our best to provide the localization service as soon as possible.** Gets schema change history of a domain. You need to [Create Domain](/docs/en/analytics-cloudsearch-createdomain) first to perform this operation. Response data is displayed only when schema change history exists. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/schema/history ``` ## Request ### Request Parameters | Parameter | Required | Type | Limitations | Description | | --- | --- | --- | --- | --- | | name | Y | string | Domain name | Name of the domain to get schema change history for | | limit | Y | number | Min: 1, MAX: 30 | Pagination limit | | offset | Y | number | | Pagination offset | | order | Y | string | DESC, ASC | Sorting order of results | ## Response ### Response Body | Field | Required | Type | Description | Note | | --- | --- | --- | --- | --- | | toBeSchema.document | N | [Schema](/docs/en/common-apidatatype-csschema) | Current (changed) schema | | | asIsSchema.document | N | [Schema](/docs/en/common-apidatatype-csschema) | Previous schema | | | createdDate | N | string | Schema change time | | ### Response status | HTTP status | Description | | --- | --- | | 200 | OK (Successfully completed) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request Example ``` GET /CloudSearch/real/v1/domain/car_beta/schema/history?limit=10&offset=0&order=DESC HTTP/1.1 Host: cloudsearch.apigw.ntruss.com accept:application/json x-ncp-apigw-signature-v2: cDwtHuQeGmwWyNmwlN6XIGA66zge4iMXvfoDQNna05g= x-ncp-apigw-timestamp: 1545817618751 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Request Example ``` [ { "toBeSchema": { "document": { "autocomplete": { "indexName": "brand_name", "sectionName": "name" }, "primarySectionName": "docid", "sections": [ { "name": "docid" }, { "name": "brand" }, { "name": "name" }, { "docProperties": [ { "type": "string", "name": "dp_color" } ], "name": "color" }, { "docProperties": [ { "type": "uint32", "name": "dp_price" } ], "name": "price" }, { "docProperties": [ { "type": "string", "name": "dp_type" } ], "name": "type" }, { "docProperties": [ { "type": "uint32", "name": "dp_sell_cnt" } ], "name": "sell_cnt" }, { "name": "image_url" } ], "indexes": [ { "documentTermWeight": "sum_wgt", "buildInfos": [ { "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "sections": [ "brand", "name" ], "name": "index_build" } ], "name": "brand_name" }, { "name": "color", "documentTermWeight": "sum_wgt", "buildInfos": [ { "name": "index_build_color", "sections": [ "color" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ] } ] } ] } }, "asIsSchema": { "document": { "primarySectionName": "docid", "sections": [ { "name": "docid" }, { "name": "brand" }, { "name": "name" }, { "docProperties": [ { "type": "string", "name": "dp_color" } ], "name": "color" }, { "docProperties": [ { "type": "uint32", "name": "dp_price" } ], "name": "price" }, { "docProperties": [ { "type": "string", "name": "dp_type" } ], "name": "type" }, { "docProperties": [ { "type": "uint32", "name": "dp_sell_cnt" } ], "name": "sell_cnt" }, { "name": "image_url" } ], "indexes": [ { "name": "brand_name", "documentTermWeight": "sum_wgt", "buildInfos": [ { "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "sections": [ "brand", "name" ], "name": "index_build" } ] } ] } }, "createdDate": "2019-03-04T06:39:56.072Z" } ] ```